Index: main/waeup.custom/trunk/docs/INSTALL.txt
===================================================================
--- main/waeup.custom/trunk/docs/INSTALL.txt	(revision 7822)
+++ main/waeup.custom/trunk/docs/INSTALL.txt	(revision 7823)
@@ -2,5 +2,5 @@
 ***************************************
 
-.. note:: `waeup.sirp` might not work with Python > 2.6
+.. note:: `waeup.kofa` might not work with Python > 2.6
           currently. Use of Python 2.6 is recommended.
 
@@ -8,5 +8,5 @@
 =============
 
-The `waeup.sirp` package is based on `Grok`_, which is a Python
+The `waeup.kofa` package is based on `Grok`_, which is a Python
 framework for agile webapplication development. Grok itself is based
 on `Zope`_.
@@ -24,5 +24,5 @@
 compile the parts written in C.
 
-To deploy `waeup.sirp` most easily, we use `zc.buildout`_
+To deploy `waeup.kofa` most easily, we use `zc.buildout`_
 
 .. _zc.buildout: http://cheeseshop.python.org/pypi/zc.buildout
@@ -57,10 +57,10 @@
     eggs-directory = /home/bruno/buildout-eggs
 
-Running the `waeup.sirp` application
+Running the `waeup.kofa` application
 ======================================
 
 You can start Zope with the with the following command::
 
-    $ bin/sirpctl fg
+    $ bin/kofactl fg
     
 Alternatively you can do:
Index: main/waeup.custom/trunk/docs/INSTALLWIN.txt
===================================================================
--- main/waeup.custom/trunk/docs/INSTALLWIN.txt	(revision 7822)
+++ main/waeup.custom/trunk/docs/INSTALLWIN.txt	(revision 7823)
@@ -2,5 +2,5 @@
 ********************************************
 
-.. note:: `waeup.sirp` has been developed to run on Linux servers,
+.. note:: `waeup.kofa` has been developed to run on Linux servers,
           preferarbly with an Ubuntu OS. The installation on Windows computers
           is for demonstration purposes only.
@@ -35,5 +35,5 @@
 
 **Step 3**. Open up a command window and change to the folder where you want to place the sandbox
-that will contain your SIRP project. In this HowTo we will assume and recommend this folder is ``C:\`` ::
+that will contain your Kofa project. In this HowTo we will assume and recommend this folder is ``C:\`` ::
 
   C:\[any_path]> cd c:\
@@ -45,40 +45,40 @@
 **Step 5**. Create an isolated environment (sandbox) using the command::
 
- C:\> virtualenv winsirp
+ C:\> virtualenv winkofa
 
 **Step 6**. Activate the environment::
 
- C:\> cd winsirp
- C:\winsirp> Scripts\activate
+ C:\> cd winkofa
+ C:\winkofa> Scripts\activate
 
 Note that the system prompt has changed.
 
-Run SIRP
+Run Kofa
 ========
 
-**Step 7**. Copy the ``waeup.sirp`` folder into ``C:\winsirp``.
+**Step 7**. Copy the ``waeup.kofa`` folder into ``C:\winkofa``.
 
 **Step 8**. Run the bootstrap script::
 
- (winsirp) C:\winsirp\waeup.sirp> cd waeup.sirp
- (winsirp) C:\winsirp\waeup.sirp> python bootstrap\bootstrap.py -c buildout-windows.cfg
+ (winkofa) C:\winkofa\waeup.kofa> cd waeup.kofa
+ (winkofa) C:\winkofa\waeup.kofa> python bootstrap\bootstrap.py -c buildout-windows.cfg
 
 **Step 9**. Run buildout (this takes a while)::
 
- C:\winsirp\waeup.sirp> bin\buildout.exe -c buildout-windows.cfg
+ C:\winkofa\waeup.kofa> bin\buildout.exe -c buildout-windows.cfg
 
 **Step 10**. You can deactivate your environment again::
 
- (winsirp) C:\winsirp\waeup.sirp> ..\Scripts\deactivate
+ (winkofa) C:\winkofa\waeup.kofa> ..\Scripts\deactivate
 
-**Step 11**. Start your SIRP::
+**Step 11**. Start your Kofa::
 
- C:\winsirp\waeup.sirp> bin\paster serve parts\etc\deploy.ini
+ C:\winkofa\waeup.kofa> bin\paster serve parts\etc\deploy.ini
 
 or from anywhere in your system::
 
- C:\[any_path]> C:\winsirp\trunk\bin\paster serve C:\winsirp\trunk\parts\etc\deploy.ini
+ C:\[any_path]> C:\winkofa\trunk\bin\paster serve C:\winkofa\trunk\parts\etc\deploy.ini
 
-**Step 12**. Visit the SIRP website and create your university instance:
+**Step 12**. Visit the Kofa website and create your university instance:
 
 | http://localhost:8080
Index: main/waeup.custom/trunk/docs/Makefile
===================================================================
--- main/waeup.custom/trunk/docs/Makefile	(revision 7822)
+++ main/waeup.custom/trunk/docs/Makefile	(revision 7823)
@@ -62,7 +62,7 @@
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/WAeUPStudentInformationandRegistrationPortalSIRP.qhcp"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/WAeUPStudentInformationandRegistrationPortalKofa.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/WAeUPStudentInformationandRegistrationPortalSIRP.qhc"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/WAeUPStudentInformationandRegistrationPortalKofa.qhc"
 
 latex:
Index: main/waeup.custom/trunk/docs/make.bat
===================================================================
--- main/waeup.custom/trunk/docs/make.bat	(revision 7822)
+++ main/waeup.custom/trunk/docs/make.bat	(revision 7823)
@@ -75,7 +75,7 @@
 	echo.Build finished; now you can run "qcollectiongenerator" with the ^
 .qhcp project file in %BUILDDIR%/qthelp, like this:
-	echo.^> qcollectiongenerator %BUILDDIR%\qthelp\WAeUPStudentInformationandRegistrationPortalSIRP.qhcp
+	echo.^> qcollectiongenerator %BUILDDIR%\qthelp\WAeUPStudentInformationandRegistrationPortalKofa.qhcp
 	echo.To view the help file:
-	echo.^> assistant -collectionFile %BUILDDIR%\qthelp\WAeUPStudentInformationandRegistrationPortalSIRP.ghc
+	echo.^> assistant -collectionFile %BUILDDIR%\qthelp\WAeUPStudentInformationandRegistrationPortalKofa.ghc
 	goto end
 )
Index: main/waeup.custom/trunk/docs/source/bugs.rst
===================================================================
--- main/waeup.custom/trunk/docs/source/bugs.rst	(revision 7822)
+++ main/waeup.custom/trunk/docs/source/bugs.rst	(revision 7823)
@@ -1,9 +1,9 @@
 .. _reporting-bugs:
 
-Reporting Bugs in `waeup.sirp`
+Reporting Bugs in `waeup.kofa`
 ******************************
 
 The developers would like to know of any deficiencies you find in
-`waeup.sirp`.
+`waeup.kofa`.
 
 Also telling about errors and shortcomings in the documentation are
Index: main/waeup.custom/trunk/docs/source/conf.py
===================================================================
--- main/waeup.custom/trunk/docs/source/conf.py	(revision 7822)
+++ main/waeup.custom/trunk/docs/source/conf.py	(revision 7823)
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
 #
-# WAeUP Student Information and Registration Portal (SIRP) documentation build configuration file, created by
+# WAeUP Student Information and Registration Portal (Kofa) documentation build configuration file, created by
 # sphinx-quickstart on Thu Jul 29 10:41:59 2010.
 #
@@ -48,5 +48,5 @@
 
 # General information about the project.
-project = u'WAeUP SIRP'
+project = u'WAeUP Kofa'
 copyright = u'2011, WAeUP Team'
 
@@ -56,5 +56,5 @@
 #
 # The short X.Y version.
-version = pkg_resources.get_distribution('waeup.sirp').version
+version = pkg_resources.get_distribution('waeup.kofa').version
 #version = '0.2dev'
 # The full version, including alpha/beta/rc tags.
@@ -174,5 +174,5 @@
 
 # Output file base name for HTML help builder.
-htmlhelp_basename = 'WAeUPStudentInformationandRegistrationPortalSIRPdoc'
+htmlhelp_basename = 'WAeUPStudentInformationandRegistrationPortalKofadoc'
 
 
@@ -188,5 +188,5 @@
 # (source start file, target name, title, author, documentclass [howto/manual]).
 latex_documents = [
-  ('index', 'WAeUPStudentInformationandRegistrationPortalSIRP.tex', u'WAeUP Student Information and Registration Portal (SIRP) Documentation',
+  ('index', 'WAeUPStudentInformationandRegistrationPortalKofa.tex', u'WAeUP Student Information and Registration Portal (Kofa) Documentation',
    u'WAeUP Team', 'manual'),
 ]
Index: main/waeup.custom/trunk/docs/source/contents.rst
===================================================================
--- main/waeup.custom/trunk/docs/source/contents.rst	(revision 7822)
+++ main/waeup.custom/trunk/docs/source/contents.rst	(revision 7823)
@@ -1,5 +1,5 @@
 .. _contents:
 
-`waeup.sirp` documentation contents
+`waeup.kofa` documentation contents
 ===================================
 
Index: main/waeup.custom/trunk/docs/source/copyright.rst
===================================================================
--- main/waeup.custom/trunk/docs/source/copyright.rst	(revision 7822)
+++ main/waeup.custom/trunk/docs/source/copyright.rst	(revision 7823)
@@ -2,5 +2,5 @@
 *********
 
-`waeup.sirp` and this documentation is:
+`waeup.kofa` and this documentation is:
 
 Copyright © 2009-2010 The WAeUP Group. All rights reserved.
Index: main/waeup.custom/trunk/docs/source/developerdocs/developernotes.rst
===================================================================
--- main/waeup.custom/trunk/docs/source/developerdocs/developernotes.rst	(revision 7822)
+++ main/waeup.custom/trunk/docs/source/developerdocs/developernotes.rst	(revision 7823)
@@ -2,8 +2,8 @@
 ***************
 
-How to setup a developer instance of the WAeUP SIRP, handle tests, docs
+How to setup a developer instance of the WAeUP Kofa, handle tests, docs
 etc.
 
-The new WAeUP SIRP is based on `Grok <http://grok.zope.org/>`_.
+The new WAeUP Kofa is based on `Grok <http://grok.zope.org/>`_.
 
 Installing a developer copy
@@ -15,5 +15,5 @@
 --------------------
 
-To create a working copy of the WAeUP SIRP we recommend use of
+To create a working copy of the WAeUP Kofa we recommend use of
 `virtualenv`. You, however, need also some basic libraries, a C
 compiler and some things more.
@@ -127,8 +127,8 @@
 In the sandbox (or anywhere else) we now create our real working
 environment. To do this, we change to the sandbox and checkout the
-sources of the WAeUP SIRP from the subversion server::
+sources of the WAeUP Kofa from the subversion server::
 
   $ cd mysandbox/
-  $ svn co https://svn.waeup.org/repos/main/waeup.sirp/trunk waeup-trunk
+  $ svn co https://svn.waeup.org/repos/main/waeup.kofa/trunk waeup-trunk
 
 where ``waeup-trunk`` is only a name we've chosen here to make clear
@@ -194,8 +194,8 @@
 =============
 
-With the :mod:`waeup.sirp` package we try to reach high standards in
+With the :mod:`waeup.kofa` package we try to reach high standards in
 both, documentation and testing.
 
-:mod:`waeup.sirp` makes extensive use of doctests, which this way also
+:mod:`waeup.kofa` makes extensive use of doctests, which this way also
 become both: executable (i.e. testable) examples and documentation.
 
@@ -206,5 +206,5 @@
 documentation generator to generate the docs as HTML pages.
 
-The documentation of the :mod:`waeup.sirp` project can easily be
+The documentation of the :mod:`waeup.kofa` project can easily be
 created doing::
 
@@ -212,5 +212,5 @@
 
 This will create a tree of HTML pages in
-``parts/waeupdocs/waeup.sirp/build/waeup.sirp/`` which you can for
+``parts/waeupdocs/waeup.kofa/build/waeup.kofa/`` which you can for
 instance browse by pointing your browser to this location.
 
@@ -223,5 +223,5 @@
 
 means explaining to other developers what your code does and test it
-at the same time. See the many .txt files in the :mod:`waeup.sirp`
+at the same time. See the many .txt files in the :mod:`waeup.kofa`
 package for examples.
 
@@ -230,5 +230,5 @@
 =======
 
-Tests are most important to the reliability of the :mod:`waeup.sirp`
+Tests are most important to the reliability of the :mod:`waeup.kofa`
 package. We don't tell someone that our code works, if we cannot prove
 it. And we prove it by testing.
@@ -246,5 +246,5 @@
   $ bin/test -c
 
-We have many tests in the :mod:`waeup.sirp` package so that sometimes
+We have many tests in the :mod:`waeup.kofa` package so that sometimes
 you only want the functional *or* the unit tests to run. This can be
 done like this::
@@ -277,6 +277,6 @@
 
   Most unit tests furthermore declare that they want to be run inside
-  the `WAeUPSIRPUnitTestLayer` defined in `waeup.sirp.testing`. This
-  layer groks the whole `waeup.sirp` package, so that all ZCA
+  the `WAeUPKofaUnitTestLayer` defined in `waeup.kofa.testing`. This
+  layer groks the whole `waeup.kofa` package, so that all ZCA
   components are already setup when you start your tests.
   
@@ -284,5 +284,5 @@
   layer, the testfile has to provide the following line::
 
-    .. :layer: waeup.sirp.testing.WAeUPSIRPUnitTestLayer
+    .. :layer: waeup.kofa.testing.WAeUPKofaUnitTestLayer
 
   Use it, if in your tests you make use of registered components like
Index: main/waeup.custom/trunk/docs/source/developerdocs/index.rst
===================================================================
--- main/waeup.custom/trunk/docs/source/developerdocs/index.rst	(revision 7822)
+++ main/waeup.custom/trunk/docs/source/developerdocs/index.rst	(revision 7823)
@@ -7,3 +7,2 @@
    developernotes
    api/index
-   german/index
Index: main/waeup.custom/trunk/docs/source/documentation.rst
===================================================================
--- main/waeup.custom/trunk/docs/source/documentation.rst	(revision 7822)
+++ main/waeup.custom/trunk/docs/source/documentation.rst	(revision 7823)
@@ -22,5 +22,5 @@
 
 See :ref:`reporting-bugs` for information how to report bugs in
-`waeup.sirp` itself.
+`waeup.kofa` itself.
 
 .. _Sphinx: http://sphinx.org/
Index: main/waeup.custom/trunk/docs/source/glossary.rst
===================================================================
--- main/waeup.custom/trunk/docs/source/glossary.rst	(revision 7822)
+++ main/waeup.custom/trunk/docs/source/glossary.rst	(revision 7823)
@@ -6,5 +6,5 @@
 .. glossary::
 
-   SIRP
+   Kofa
      Student Information and Registration Portal.
 
@@ -12,5 +12,5 @@
      West African e-University Project.
 
-   waeup.sirp
+   waeup.kofa
      A Python package explained in this documentation.
 
Index: main/waeup.custom/trunk/docs/source/index.rst
===================================================================
--- main/waeup.custom/trunk/docs/source/index.rst	(revision 7822)
+++ main/waeup.custom/trunk/docs/source/index.rst	(revision 7823)
@@ -1,3 +1,3 @@
-.. WAeUP Student Information and Registration Portal (SIRP) documentation master file, created by
+.. WAeUP Student Information and Registration Portal (Kofa) documentation master file, created by
    sphinx-quickstart on Thu Jul 29 10:41:59 2010.
    You can adapt this file completely to your liking, but it should at least
Index: main/waeup.custom/trunk/docs/source/license.rst
===================================================================
--- main/waeup.custom/trunk/docs/source/license.rst	(revision 7822)
+++ main/waeup.custom/trunk/docs/source/license.rst	(revision 7823)
@@ -5,5 +5,5 @@
 ***********
 
-`waeup.sirp` is covered by the following license. If that license
+`waeup.kofa` is covered by the following license. If that license
 does not fit your needs and you need a copy of the software licensed
 differently, please contact ``henrik <at> waeup <dot> org``.
Index: main/waeup.custom/trunk/docs/source/userdocs/buildingdocs.rst
===================================================================
--- main/waeup.custom/trunk/docs/source/userdocs/buildingdocs.rst	(revision 7822)
+++ main/waeup.custom/trunk/docs/source/userdocs/buildingdocs.rst	(revision 7823)
@@ -4,10 +4,10 @@
 **************************************
 
-To build the documentation for :mod:`waeup.sirp`, please follow these steps:
+To build the documentation for :mod:`waeup.kofa`, please follow these steps:
 
 Prerequisites
 =============
 
-We assume you already installed `waeup.sirp` as explained in
+We assume you already installed `waeup.kofa` as explained in
 :ref:`installing_linux`. You ran ``bin/buildout`` and can find a script
 ``bin/waeupdocs``.
@@ -16,5 +16,5 @@
 ==================
 
-After successful install go to the root dir, where `waeup.sirp` is
+After successful install go to the root dir, where `waeup.kofa` is
 located.
 