Index: main/waeup.custom/trunk/CHANGES.txt
===================================================================
--- main/waeup.custom/trunk/CHANGES.txt	(revision 7824)
+++ main/waeup.custom/trunk/CHANGES.txt	(revision 7825)
@@ -9,5 +9,5 @@
 
 * Started switch to groktoolkit (grok 1.1) based
-  application. `waeup.sirp` is not compatible with grok 1.0 anymore.
+  application. `waeup.kofa` is not compatible with grok 1.0 anymore.
 
 * Added first rudimentary support for application plugins. Plugins are
@@ -28,5 +28,5 @@
 * Removed all references to stuff in university submodule into the
   module itself or replaced it with proper code. This way the
-  university submodule could be factored out of the waeup.sirp
+  university submodule could be factored out of the waeup.kofa
   package. Fixed bug #23.
 
Index: main/waeup.custom/trunk/README.txt
===================================================================
--- main/waeup.custom/trunk/README.txt	(revision 7824)
+++ main/waeup.custom/trunk/README.txt	(revision 7825)
@@ -1,6 +1,6 @@
-What is `waeup.sirp`?
+What is `waeup.kofa`?
 *********************
 
-The WAeUP Student Information and Registration Portal. `waeup.sirp` is
+The WAeUP Student Information and Registration Portal. `waeup.kofa` is
 a web-based management tool for managing universities and schools.
 
Index: main/waeup.custom/trunk/buildout.cfg
===================================================================
--- main/waeup.custom/trunk/buildout.cfg	(revision 7824)
+++ main/waeup.custom/trunk/buildout.cfg	(revision 7825)
@@ -1,4 +1,4 @@
 [buildout]
-develop = . waeup.sirp
+develop = . waeup.kofa
 parts =
     eggbasket
@@ -16,6 +16,6 @@
     coverage-detect
     coverage-report
-# sirpctl creation must be _after_ app!
-    sirpctl
+# kofactl creation must be _after_ app!
+    kofactl
 # For backward compatibility, telling buildout not to throw away
 # the data and log subdirectories from the parts directory.
@@ -60,5 +60,5 @@
 
 [app]
-# This creates all scripts in bin/. The sirpctl created here is 'faulty'.
+# This creates all scripts in bin/. The kofactl created here is 'faulty'.
 recipe = zc.recipe.egg
 eggs = waeup.custom [beaker]
@@ -69,12 +69,12 @@
 interpreter = python-console
 
-[sirpctl]
+[kofactl]
 # See http://pypi.python.org/pypi/zc.recipe.egg for details...
-# Here we create the sirpctl script again, this time with a
+# Here we create the kofactl script again, this time with a
 # fixed path to zdaemon.conf as argument.
 recipe = zc.recipe.egg
 eggs = waeup.custom [beaker]
 arguments = "${buildout:parts-directory}/etc/zdaemon.conf"
-scripts = sirpctl=sirpctl
+scripts = kofactl=kofactl
 
 [mkdirs]
Index: main/waeup.custom/trunk/etc/site.zcml.in
===================================================================
--- main/waeup.custom/trunk/etc/site.zcml.in	(revision 7824)
+++ main/waeup.custom/trunk/etc/site.zcml.in	(revision 7825)
@@ -1,4 +1,4 @@
 <configure xmlns="http://namespaces.zope.org/zope"
-           xmlns:sirp="http://namespaces.waeup.org/sirp"
+           xmlns:kofa="http://namespaces.waeup.org/kofa"
            i18n_domain="waeup.custom">
 
@@ -7,5 +7,5 @@
 
   <!-- Where should the datacenter reside by default? -->
-  <sirp:datacenter
+  <kofa:datacenter
       path="${buildout:directory}/var/datacenter" />
 
Index: main/waeup.custom/trunk/setup.py
===================================================================
--- main/waeup.custom/trunk/setup.py	(revision 7824)
+++ main/waeup.custom/trunk/setup.py	(revision 7825)
@@ -9,5 +9,5 @@
     'grokui.admin',
     'grokcore.startup',
-    'waeup.sirp',
+    'waeup.kofa',
     ],
 
@@ -53,8 +53,8 @@
 setup(name = 'waeup.custom',
       version = version,
-      description = "A customized waeup.sirp",
+      description = "A customized waeup.kofa",
       long_description = long_description,
 
-      keywords = "portal waeup sirp student university registration grok zope",
+      keywords = "portal waeup kofa student university registration grok zope",
       # Get strings from http://pypi.python.org/pypi?%3Aaction=list_classifiers
       classifiers = [
@@ -91,6 +91,6 @@
       waeup_custom = waeup.custom.browser.resources:waeup_custom
       [console_scripts]
-      sirp-debug = grokcore.startup:interactive_debug_prompt
-      sirpctl = grokcore.startup:zdaemon_controller
+      kofa-debug = grokcore.startup:interactive_debug_prompt
+      kofactl = grokcore.startup:zdaemon_controller
       [paste.app_factory]
       main = grokcore.startup:application_factory
Index: main/waeup.custom/trunk/src/waeup/custom/locales/de/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.custom/trunk/src/waeup/custom/locales/de/LC_MESSAGES/waeup.sirp.po	(revision 7824)
+++ 	(revision )
@@ -1,37 +1,0 @@
-# #############################################################################
-#
-# Copyright (c) 2003-2004 Zope Corporation and Contributors.
-# All Rights Reserved.
-#
-# This software is subject to the provisions of the Zope Public License,
-# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
-# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
-# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
-# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
-# FOR A PARTICULAR PURPOSE.
-#
-# #############################################################################
-msgid ""
-msgstr ""
-"Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Thu Feb 23 16:34:27 2012\n"
-"PO-Revision-Date: 2012-02-23 21:21+0100\n"
-"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
-"Language-Team: WAeUP Germany <henrik@waeup.org>\n"
-"Language: de-DE\n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=UTF-8\n"
-"Content-Transfer-Encoding: 8bit\n"
-"Generated-By: zope/app/locales/extract.py\n"
-"X-Poedit-Language: German\n"
-"X-Poedit-Country: GERMANY\n"
-"X-Poedit-SourceCharset: utf-8\n"
-
-#: waeup/sirp/browser/viewlets.py
-msgid "Academics"
-msgstr "Universität"
-
-#: waeup/sirp/applicants/viewlets.py
-msgid "Applicants"
-msgstr "Anwärter"
-
Index: main/waeup.custom/trunk/src/waeup/custom/locales/en/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.custom/trunk/src/waeup/custom/locales/en/LC_MESSAGES/waeup.sirp.po	(revision 7824)
+++ 	(revision )
@@ -1,37 +1,0 @@
-# #############################################################################
-#
-# Copyright (c) 2003-2004 Zope Corporation and Contributors.
-# All Rights Reserved.
-#
-# This software is subject to the provisions of the Zope Public License,
-# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
-# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
-# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
-# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
-# FOR A PARTICULAR PURPOSE.
-#
-# #############################################################################
-msgid ""
-msgstr ""
-"Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Thu Feb 23 16:34:27 2012\n"
-"PO-Revision-Date: 2012-02-23 21:21+0100\n"
-"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
-"Language-Team: WAeUP Germany <henrik@waeup.org>\n"
-"Language: en-EN\n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=UTF-8\n"
-"Content-Transfer-Encoding: 8bit\n"
-"Generated-By: zope/app/locales/extract.py\n"
-"X-Poedit-Language: English\n"
-"X-Poedit-Country: NIGERIA\n"
-"X-Poedit-SourceCharset: utf-8\n"
-
-#: waeup/sirp/browser/viewlets.py
-msgid "Academics"
-msgstr "University"
-
-#: waeup/sirp/applicants/viewlets.py
-msgid "Applicants"
-msgstr "Aspirants"
-
Index: main/waeup.custom/trunk/src/waeup/custom/locales/ha/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.custom/trunk/src/waeup/custom/locales/ha/LC_MESSAGES/waeup.sirp.po	(revision 7824)
+++ 	(revision )
@@ -1,29 +1,0 @@
-# #############################################################################
-#
-# Copyright (c) 2003-2004 Zope Corporation and Contributors.
-# All Rights Reserved.
-#
-# This software is subject to the provisions of the Zope Public License,
-# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
-# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
-# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
-# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
-# FOR A PARTICULAR PURPOSE.
-#
-# #############################################################################
-msgid ""
-msgstr ""
-"Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Thu Feb 23 16:34:27 2012\n"
-"PO-Revision-Date: 2012-02-23 21:32+0100\n"
-"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
-"Language-Team: WAeUP Niger <isouaba@waeup.org>\n"
-"Language: ha-NG-Latn\n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=UTF-8\n"
-"Content-Transfer-Encoding: 8bit\n"
-"Generated-By: zope/app/locales/extract.py\n"
-"X-Poedit-Language: Hausa\n"
-"X-Poedit-Country: NIGER\n"
-"X-Poedit-SourceCharset: utf-8\n"
-
Index: main/waeup.custom/trunk/src/waeup/custom/locales/yo/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.custom/trunk/src/waeup/custom/locales/yo/LC_MESSAGES/waeup.sirp.po	(revision 7824)
+++ 	(revision )
@@ -1,29 +1,0 @@
-# #############################################################################
-#
-# Copyright (c) 2003-2004 Zope Corporation and Contributors.
-# All Rights Reserved.
-#
-# This software is subject to the provisions of the Zope Public License,
-# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
-# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
-# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
-# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
-# FOR A PARTICULAR PURPOSE.
-#
-# #############################################################################
-msgid ""
-msgstr ""
-"Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Thu Feb 23 16:34:27 2012\n"
-"PO-Revision-Date: 2012-02-23 21:33+0100\n"
-"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
-"Language-Team: WAeUP Nigeria <isouaba@waeup.org>\n"
-"Language: yo-NG\n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=UTF-8\n"
-"Content-Transfer-Encoding: 8bit\n"
-"Generated-By: zope/app/locales/extract.py\n"
-"X-Poedit-Language: Yoruba\n"
-"X-Poedit-Country: NIGERIA\n"
-"X-Poedit-SourceCharset: utf-8\n"
-