Index: main/waeup.kofa/trunk/src/waeup/kofa/locales/de/LC_MESSAGES/waeup.kofa.po
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/locales/de/LC_MESSAGES/waeup.kofa.po	(revision 7821)
+++ main/waeup.kofa/trunk/src/waeup/kofa/locales/de/LC_MESSAGES/waeup.kofa.po	(revision 7828)
@@ -15,6 +15,6 @@
 msgstr ""
 "Project-Id-Version: WAeUP.KOFA\n"
-"POT-Creation-Date: Thu Mar  8 23:29:25 2012\n"
-"PO-Revision-Date: 2012-03-08 23:30+0100\n"
+"POT-Creation-Date: Fri Mar  9 23:09:56 2012\n"
+"PO-Revision-Date: 2012-03-09 23:11+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
 "Language-Team: WAeUP Germany <henrik@waeup.org>\n"
@@ -873,4 +873,6 @@
 
 #: waeup/kofa/applicants/interfaces.py:413
+#: waeup/kofa/interfaces.py:375
+#: waeup/kofa/interfaces.py:401
 #: waeup/kofa/students/interfaces.py:490
 msgid "Email Address"
@@ -878,4 +880,6 @@
 
 #: waeup/kofa/applicants/interfaces.py:418
+#: waeup/kofa/interfaces.py:380
+#: waeup/kofa/interfaces.py:408
 #: waeup/kofa/students/interfaces.py:203
 msgid "Phone"
@@ -1786,13 +1790,4 @@
 msgid "Settings"
 msgstr "Einstellungen"
-
-#: waeup/kofa/browser/templates/departmentmanagepage.pt:97
-#: waeup/kofa/browser/templates/userscontainerpage.pt:4
-#: waeup/kofa/browser/templates/facultymanagepage.pt:71
-#: waeup/kofa/browser/templates/certificatemanagepage.pt:88
-#: waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt:89
-#: waeup/kofa/applicants/browser_templates/applicantsrootmanagepage.pt:56
-msgid "User Id"
-msgstr "Benutzer Id"
 
 #: waeup/kofa/browser/templates/departmentmanagepage.pt:99
@@ -1893,13 +1888,18 @@
 msgstr "Formularstatus:"
 
-#: waeup/kofa/browser/templates/staffsitelayout.pt:113
-#: waeup/kofa/browser/templates/studentsitelayout.pt:99
+#: waeup/kofa/browser/templates/staffsitelayout.pt:114
+#: waeup/kofa/browser/templates/studentsitelayout.pt:100
 msgid "Back to top"
 msgstr "Zurück zum Anfang"
 
-#: waeup/kofa/browser/templates/staffsitelayout.pt:114
-#: waeup/kofa/browser/templates/studentsitelayout.pt:100
-msgid "Student Information and Registration Portal<br /> Copyright &copy; WAeUP Group, 2008-2012"
-msgstr "Studenten-Informations- und Registrierungsportal<br /> Copyright &copy; WAeUP Group, 2008-2012"
+#: waeup/kofa/browser/templates/staffsitelayout.pt:116
+#: waeup/kofa/browser/templates/studentsitelayout.pt:102
+msgid "Kofa - Student Management System"
+msgstr "Kofa - Student Management System"
+
+#: waeup/kofa/browser/templates/staffsitelayout.pt:119
+#: waeup/kofa/browser/templates/studentsitelayout.pt:105
+msgid "Copyright &copy; WAeUP Group 2008-2012"
+msgstr "Copyright &copy; WAeUP Group 2008-2012"
 
 #: waeup/kofa/browser/templates/staffsitelayout.pt:34
@@ -2280,4 +2280,151 @@
 msgstr ""
 
+#: waeup/kofa/interfaces.py:306
+msgid "Importer name"
+msgstr "Name des Importers"
+
+#: waeup/kofa/interfaces.py:310
+msgid "Import mode"
+msgstr "Importmodus"
+
+#: waeup/kofa/interfaces.py:335
+msgid "Email Address:"
+msgstr "Emailadresse:"
+
+#: waeup/kofa/interfaces.py:342
+msgid "Email to:"
+msgstr "Email an:"
+
+#: waeup/kofa/interfaces.py:349
+msgid "Subject:"
+msgstr "Betreff:"
+
+#: waeup/kofa/interfaces.py:353
+msgid "Full Name:"
+msgstr "Vollständiger Name:"
+
+#: waeup/kofa/interfaces.py:357
+msgid "Text:"
+msgstr "Text:"
+
+#: waeup/kofa/interfaces.py:388
+#: waeup/kofa/browser/templates/departmentmanagepage.pt:97
+#: waeup/kofa/browser/templates/userscontainerpage.pt:4
+#: waeup/kofa/browser/templates/facultymanagepage.pt:71
+#: waeup/kofa/browser/templates/certificatemanagepage.pt:88
+#: waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt:89
+#: waeup/kofa/applicants/browser_templates/applicantsrootmanagepage.pt:56
+msgid "User Id"
+msgstr "Benutzer Id"
+
+#: waeup/kofa/interfaces.py:393
+#: waeup/kofa/students/browser_templates/containerpage.pt:33
+#: waeup/kofa/students/browser_templates/containermanagepage.pt:39
+#: waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt:44
+msgid "Full Name"
+msgstr "Vollständiger Name"
+
+#: waeup/kofa/interfaces.py:397
+msgid "Description/Notice"
+msgstr "Beschreibung/Nachricht"
+
+#: waeup/kofa/interfaces.py:414
+msgid "Portal roles"
+msgstr "Portalweite Rollen"
+
+#: waeup/kofa/interfaces.py:457
+msgid "Name of University"
+msgstr "Name der Universität"
+
+#: waeup/kofa/interfaces.py:458
+msgid "Sample University"
+msgstr "Deomo-Universität"
+
+#: waeup/kofa/interfaces.py:463
+msgid "Abbreviated Title of University"
+msgstr "Abkürzung"
+
+#: waeup/kofa/interfaces.py:469
+msgid "Skin"
+msgstr "Skin"
+
+#: waeup/kofa/interfaces.py:476
+msgid "Content in reST format"
+msgstr "Inhalt in reST-Format"
+
+#: waeup/kofa/interfaces.py:488
+msgid "Accommodation Booking Session"
+msgstr "Buchungssession"
+
+#: waeup/kofa/interfaces.py:496
+msgid "Allowed States for Accommodation Booking"
+msgstr "Erlaubte Zustände für das Buchen einer Unterbringung"
+
+#: waeup/kofa/interfaces.py:504
+msgid "Name of Administrator"
+msgstr "Name des Administrators"
+
+#: waeup/kofa/interfaces.py:510
+msgid "Email Address of Administrator"
+msgstr "Emailadresse des Administrators"
+
+#: waeup/kofa/interfaces.py:517
+msgid "Subject of Email to Administrator"
+msgstr "Betreff der Email an Administrator"
+
+#: waeup/kofa/interfaces.py:518
+msgid "Kofa Contact"
+msgstr "Kofa-Kontakt"
+
+#: waeup/kofa/interfaces.py:523
+msgid "SMTP mailer to use when sending mail"
+msgstr "SMTP Dienst"
+
+#: waeup/kofa/interfaces.py:530
+msgid "Captcha used for public registration pages"
+msgstr "Captcha für öffentliche Registrierung"
+
+#: waeup/kofa/interfaces.py:537
+msgid "Carry-over Course Registration"
+msgstr "Carry-Over-Kursregistrierung"
+
+#: waeup/kofa/interfaces.py:546
+#: waeup/kofa/interfaces.py:598
+msgid "Academic Session"
+msgstr "Akademische Session"
+
+#: waeup/kofa/interfaces.py:554
+#: waeup/kofa/payments/interfaces.py:30
+msgid "School Fee"
+msgstr "Schulgebühr"
+
+#: waeup/kofa/interfaces.py:559
+#: waeup/kofa/payments/interfaces.py:106
+msgid "Surcharge 1"
+msgstr "Zusatzgebühr 1"
+
+#: waeup/kofa/interfaces.py:564
+#: waeup/kofa/payments/interfaces.py:113
+msgid "Surcharge 2"
+msgstr "Zusatzgebühr 2"
+
+#: waeup/kofa/interfaces.py:569
+#: waeup/kofa/payments/interfaces.py:120
+msgid "Surcharge 3"
+msgstr "Zusatzgebühr 3"
+
+#: waeup/kofa/interfaces.py:574
+msgid "Clearance Fee"
+msgstr "Einschreibungsgebühr"
+
+#: waeup/kofa/interfaces.py:579
+msgid "Booking Fee"
+msgstr "Buchungsgebühr"
+
+#: waeup/kofa/interfaces.py:584
+#: waeup/kofa/payments/interfaces.py:36
+msgid "Acceptance Fee"
+msgstr "Zulassungsgebühr"
+
 #: waeup/kofa/interfaces.py:73
 msgid "clearance started"
@@ -2329,7 +2476,6 @@
 
 #: waeup/kofa/interfaces.py:94
-#, fuzzy
 msgid "Satisfactory"
-msgstr "Historie"
+msgstr ""
 
 #: waeup/kofa/interfaces.py:95
@@ -2338,7 +2484,6 @@
 
 #: waeup/kofa/interfaces.py:96
-#, fuzzy
 msgid "Fail"
-msgstr "Fehler"
+msgstr ""
 
 #: waeup/kofa/objecthistory.py:73
@@ -2346,16 +2491,4 @@
 msgstr "von"
 
-#: waeup/kofa/payments/interfaces.py:106
-msgid "Surcharge 1"
-msgstr "Zusatzgebühr 1"
-
-#: waeup/kofa/payments/interfaces.py:113
-msgid "Surcharge 2"
-msgstr "Zusatzgebühr 2"
-
-#: waeup/kofa/payments/interfaces.py:120
-msgid "Surcharge 3"
-msgstr "Zusatzgebühr 3"
-
 #: waeup/kofa/payments/interfaces.py:133
 msgid "Activation Code"
@@ -2394,8 +2527,4 @@
 msgstr "Fehler"
 
-#: waeup/kofa/payments/interfaces.py:30
-msgid "School Fee"
-msgstr "Schulgebühr"
-
 #: waeup/kofa/payments/interfaces.py:31
 msgid "Clearance"
@@ -2417,8 +2546,4 @@
 msgid "Gown"
 msgstr "Talar"
-
-#: waeup/kofa/payments/interfaces.py:36
-msgid "Acceptance Fee"
-msgstr "Zulassungsgebühr"
 
 #: waeup/kofa/payments/interfaces.py:51
@@ -3081,10 +3206,4 @@
 msgstr "Status"
 
-#: waeup/kofa/students/browser_templates/containerpage.pt:33
-#: waeup/kofa/students/browser_templates/containermanagepage.pt:39
-#: waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt:44
-msgid "Full Name"
-msgstr "Vollständiger Name"
-
 #: waeup/kofa/students/browser_templates/containerpage.pt:5
 #: waeup/kofa/students/browser_templates/containermanagepage.pt:5
@@ -3118,5 +3237,5 @@
 msgstr "Aktivierungs-Code:"
 
-#: waeup/kofa/students/browser_templates/imageupload.pt:20
+#: waeup/kofa/students/browser_templates/imageupload.pt:21
 #: waeup/kofa/students/browser_templates/fileupload.pt:27
 #: waeup/kofa/applicants/browser_templates/applicanteditpage.pt:25
@@ -3790,5 +3909,5 @@
 msgstr "8. Studienjahr"
 
-#: waeup/kofa/utils/utils.py:119
+#: waeup/kofa/utils/utils.py:122
 msgid ""
 "Fullname: ${a}\n"
@@ -3806,5 +3925,5 @@
 "${e}\n"
 
-#: waeup/kofa/utils/utils.py:164
+#: waeup/kofa/utils/utils.py:167
 msgid ""
 "Dear ${a},\n"