Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 7832)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 7833)
@@ -232,8 +232,9 @@
     @property
     def introduction(self):
-        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
-        lang = self.request.cookies.get('kofa.language', portal_language)
+        # Here we know that the cookie has been set
+        lang = self.request.cookies.get('kofa.language')
         html = self.context.description_dict.get(lang,'')
         if html =='':
+            portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
             html = self.context.description_dict.get(portal_language,'')
         if html =='':
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 7832)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 7833)
@@ -290,8 +290,8 @@
     @property
     def frontpage(self):
-        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
-        lang = self.request.cookies.get('kofa.language', portal_language)
+        lang = self.request.cookies.get('kofa.language')
         html = self.context['configuration'].frontpage_dict.get(lang,'')
         if html =='':
+            portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
             html = self.context[
                 'configuration'].frontpage_dict.get(portal_language,'')
Index: /main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser.py	(revision 7832)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser.py	(revision 7833)
@@ -261,7 +261,6 @@
         switched = [] # for log file
         switched_translated = [] # for flash message
-        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
-        preferred_language = self.request.cookies.get(
-            'kofa.language', portal_language)
+        # Here we know that the cookie has been set
+        preferred_language = self.request.cookies.get('kofa.language')
         for bed_id in child_id:
             message = self.context[bed_id].switchReservation()
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 7832)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 7833)
@@ -662,6 +662,6 @@
     @property
     def label(self):
-        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
-        lang = self.request.cookies.get('kofa.language', portal_language)
+        # Here we know that the cookie has been set
+        lang = self.request.cookies.get('kofa.language')
         level_title = translate(self.context.level_title, 'waeup.kofa',
             target_language=lang)
@@ -762,6 +762,6 @@
     @property
     def label(self):
-        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
-        lang = self.request.cookies.get('kofa.language', portal_language)
+        # Here we know that the cookie has been set
+        lang = self.request.cookies.get('kofa.language')
         level_title = translate(self.context.level_title, 'waeup.kofa',
             target_language=lang)
@@ -1732,6 +1732,6 @@
     @property
     def label(self):
-        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
-        lang = self.request.cookies.get('kofa.language', portal_language)
+        # Here we know that the cookie has been set
+        lang = self.request.cookies.get('kofa.language')
         level_title = translate(self.context.level_title, 'waeup.kofa',
             target_language=lang)
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/viewlets.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/viewlets.py	(revision 7832)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/viewlets.py	(revision 7833)
@@ -73,6 +73,6 @@
     def render(self):
         url = self.view.url(self.context.getStudent(), self.link)
-        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
-        lang = self.request.cookies.get('kofa.language', portal_language)
+        # Here we know that the cookie has been set
+        lang = self.request.cookies.get('kofa.language')
         text = translate(self.text, 'waeup.kofa',
             target_language=lang)