Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/browser.txt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/browser.txt	(revision 7842)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/browser.txt	(revision 7843)
@@ -799,5 +799,5 @@
 Set the remaining required fields:
 
-  >>> browser.getControl(name='form.study_mode').value = ['ume_ft']
+  >>> browser.getControl(name='form.study_mode').value = ['ug_ft']
   >>> browser.getControl(name='form.start_level').value = ['100']
   >>> browser.getControl(name='form.end_level').value = ['400']
@@ -815,5 +815,5 @@
   >>> ctrl.value = 'Another cert with same code'
   >>> browser.getControl(name='form.code').value = 'CERT1'
-  >>> browser.getControl(name='form.study_mode').value = ['ume_ft']
+  >>> browser.getControl(name='form.study_mode').value = ['ug_ft']
   >>> browser.getControl(name='form.start_level').value = ['100']
   >>> browser.getControl(name='form.end_level').value = ['400']
@@ -955,5 +955,5 @@
   >>> browser.getControl(name='form.code').value = 'CERT1'
   >>> browser.getControl(name='form.title').value = 'Certificate 1'
-  >>> browser.getControl(name='form.study_mode').value = ['ume_ft']
+  >>> browser.getControl(name='form.study_mode').value = ['ug_ft']
   >>> browser.getControl(name='form.start_level').value = ['100']
   >>> browser.getControl(name='form.end_level').value = ['400']
@@ -966,5 +966,5 @@
   >>> browser.getControl(name='form.code').value = 'CERT2'
   >>> browser.getControl(name='form.title').value = 'Certificate 2'
-  >>> browser.getControl(name='form.study_mode').value = ['ume_ft']
+  >>> browser.getControl(name='form.study_mode').value = ['ug_ft']
   >>> browser.getControl(name='form.start_level').value = ['100']
   >>> browser.getControl(name='form.end_level').value = ['400']
Index: main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 7842)
+++ main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 7843)
@@ -94,9 +94,10 @@
     def getValues(self):
         grades_dict = getUtility(IKofaUtils).EXAM_GRADES_DICT
-        return sorted(grades_dict.keys())
+        return [value[0] for value in
+            sorted(grades_dict.items(), key=lambda item: item[1][0])]
 
     def getTitle(self, value):
         grades_dict = getUtility(IKofaUtils).EXAM_GRADES_DICT
-        return grades_dict[value]
+        return grades_dict[value][1]
 
 # Define a valiation method for email addresses
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 7842)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 7843)
@@ -613,5 +613,5 @@
         self.assertEqual(self.browser.headers['Status'], '200 Ok')
         self.assertEqual(self.browser.url, self.studycourse_student_path)
-        self.assertTrue('Undergraduate Full Time' in self.browser.contents)
+        self.assertTrue('Undergraduate Full-Time' in self.browser.contents)
         self.browser.getLink("Manage").click()
         self.assertTrue('Manage study course' in self.browser.contents)
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 7842)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 7843)
@@ -382,26 +382,3 @@
         'B': 'Student with carryover courses',
         'C': 'Student on probation',
-        'D': 'Withdrawn from the faculty',
-        'E': 'Student who were previously on probation',
-        'F': 'Medical case',
-        'G': 'Absent from examination',
-        'H': 'Withheld results',
-        'I': 'Expelled/rusticated/suspended student',
-        'J': 'Temporary withdrawn from the university',
-        'K': 'Unregistered student',
-        'L': 'Referred student',
-        'M': 'Reinstatement',
-        'N': 'Student on transfer',
-        'O': 'NCE-III repeater',
-        'Y': 'No previous verdict',
-        'X': 'New 300 level student',
-        'Z': 'Successful student (provisional)',
-        'A1': 'First Class',
-        'A2': 'Second Class Upper',
-        'A3': 'Second Class Lower',
-        'A4': 'Third Class',
-        'A5': 'Pass',
-        'A6': 'Distinction',
-        'A7': 'Credit',
-        'A8': 'Merit',
         }
Index: main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py	(revision 7842)
+++ main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py	(revision 7843)
@@ -58,102 +58,12 @@
 
     EXAM_SUBJECTS_DICT = {
-        'accounts': 'Accounts',
-        'add_general_science': 'Add General Science',
-        'add_maths': 'Add Maths',
-        'agricultural_science': 'Agricultural Science',
-        'applied_electricity': 'Applied Electricity',
-        'arabi': 'Arabic',
-        'arithmetics': 'Arithmetics',
-        'art': 'Art',
-        'auto_mechanics': 'Auto Mechanics',
-        'basic_electricity': 'Basic Electricity',
-        'bible_knowledge': 'Bible Knowledge',
-        'biology': 'Biology',
-        'biology_alt_syl': 'Biology (Alt.Syl)',
-        'book_keeping': 'Book Keeping',
-        'building_construction': 'Building Construction',
-        'business_management': 'Business Management',
-        'business_construction_management': 'Business/Construction Management (Adv)',
-        'chemistry': 'Chemistry',
-        'chemistry_alt_syl': 'Chemistry (Alt.Syl)',
-        'christian_religious_studies': 'Christian Religious Studies',
-        'clerical_office_duties': 'Clerical Office Duties',
-        'clothing_and_textiles': 'Clothing and Textiles',
-        'commerce': 'Commerce',
-        'economics': 'Economics',
-        'education': 'Education',
-        'efik': 'Efik',
-        'electronics': 'Electronics',
-        'elementary_surveying': 'Elementary Surveying',
-        'english_language': 'English Language',
-        'engineering_science': 'Engineering Science',
-        'financial_accounting': 'Financial Accounting',
-        'food_and_nutrition': 'Food and Nutrition',
-        'french': 'French',
-        'further_mathematics': 'Further Mathematics',
-        'general_science': 'General Science',
-        'geography': 'Geography',
-        'german': 'German',
-        'government': 'Government',
-        'hausa': 'Hausa',
-        'hausa_literature': 'Hausa Literature',
-        'health_science': 'Health Science',
-        'history': 'History',
-        'home_management': 'Home Management',
-        'industrial_electrical_installation': 'Industrial Elect Installation (Adv)',
-        'intergrated_science': 'Intergrated Science',
-        'islamic_studies': 'Islamic Studies',
-        'literature_in_english': 'Literature in English',
-        'literature_in_nigerian_languages': 'Literature in Nigerian Languages',
-        'igbo': 'Igbo',
-        'igbo_literature': 'Igbo Literature',
-        'yoruba': 'Yoruba',
-        'yoruba_literature': 'Yoruba Literature',
-        'management_in_living': 'Management in Living',
-        'mathematics': 'Mathematics',
-        'metalwork': 'Metalwork',
-        'music': 'Music',
-        'nigerian_language': 'Nigerian Language',
-        'office_practice': 'Office Practice',
-        'physical_education': 'Physical Education',
-        'physical_health_education': 'Physical and Health Education',
-        'physics': 'Physics',
-        'physics_alt_syl': 'Physics (Alt.Syl)',
-        'principles_of_cost_accounting': 'Principles of Cost Accounting',
-        'rural_science': 'Rural Science',
-        'science': 'Science',
-        'secretarial_duties': 'Secretarial Duties',
-        'shorthand': 'Shorthand',
-        'sierra_leone_studies': 'Sierra Leone Studies',
-        'sierra_leone_languages': 'Sierra Leone Languages',
-        'social_studies': 'Social Studies',
-        'statistics': 'Statistics',
-        'teaching_practice': 'Teaching Practice',
-        'technical_drawing': 'Technical Drawing',
-        'typewriting': 'Typewriting',
-        'visual_art': 'Visual Art',
-        'woodwork': 'Woodwork',
-        'winding_elect_machines': 'Winding of Elect Machines and Elect Eng Sc'
+        'math': 'Mathematics',
+        'computer_science': 'Computer Science',
         }
 
     EXAM_GRADES_DICT = {
-        'A1': 'Excellent (A1)',
-        'A2': 'Very Good (A2)',
-        'A3': 'Good (A3)',
-        'B2': 'Very Good (B2)',
-        'B3': 'Good (B3)',
-        'C4': 'Credit (C4)',
-        'C5': 'Credit (C5)',
-        'C6': 'Credit (C6)',
-        'D7': 'Pass (D7)',
-        'E8': 'Pass (E8)',
-        'F9': 'Fail (F9)',
-        'Aa': 'A (a)',
-        'Bb': 'B (b)',
-        'Cc': 'C (c)',
-        'Dd': 'D (d)',
-        'Ee': 'E (e)',
-        'Ff': 'F (f)',
-        'Gg': 'G (g)'
+        'A': (1, 'Best'),
+        'B': (2, 'Better'),
+        'C': (3, 'Good'),
         }
 
@@ -169,25 +79,10 @@
 
     STUDY_MODES_DICT = {
-        'rmd_ft': 'Remedial with deficiencies',
-        'dp_pt': 'Diploma Part Time',
-        'ct_ft': 'Certificate Full Time',
-        'dp_ft': 'Diploma Full Time',
-        'de_pt': 'Direct Entry Part Time',
-        'pg_ft': 'Postgraduate Full Time',
-        'pg_pt': 'Postgraduate Part Time',
-        'jm_ft': 'Joint Matriculation Full Time',
-        'ume_ft': 'UME Full Time',
-        'de_ft': 'Direct Entry Full Time',
-        'ph_ft': 'Post Higher Education Full Time',
-        'transfer_pt': 'Transfer Part Time',
-        'ug_pt': 'Undergraduate Part Time',
-        'transfer_ft': 'Transfer Full Time',
-        'ct_pt': 'Certificate Part Time',
-        'ug_ft': 'Undergraduate Full Time',
-        'rm_ft': 'Remedial'
+        'ug_ft': 'Undergraduate Full-Time',
+        'ug_pt': 'Undergraduate Part-Time',
         }
 
     APP_CATS_DICT = {
-        'basic': 'PUME, PDE, PCE, PRENCE',
+        'basic': 'Basic Application',
         'no': 'no application',
         'pg': 'Postgraduate',