Index: main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 7874)
+++ main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 7875)
@@ -570,5 +570,5 @@
 
     surcharge_1 = schema.Int(
-        title = _(u'Surcharge 1'),
+        title = _(u'Portal Fee'),
         default = 0,
         )
Index: main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py	(revision 7874)
+++ main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py	(revision 7875)
@@ -104,5 +104,5 @@
 
     surcharge_1 = schema.Int(
-        title = _(u'Surcharge 1'),
+        title = _(u'Portal Fee'),
         default = 0,
         required = False,
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 7874)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 7875)
@@ -1126,12 +1126,13 @@
     pay_item_id = '5700'
 
+    action = 'https://testwebpay.interswitchng.com/test_paydirect/webpay/pay.aspx'
     site_redirect_url = 'http://localhost?echo='
     site_name = 'xyz.waeup.org'
-    provider_amt = 1000
     provider_acct = '2345'
     provider_bank_id = '8'
-    provider_item_name = 'Kofa Provider'
+    provider_item_name = 'Kofa Provider Fee'
     institution_acct = '1234'
     institution_bank_id = '9'
+    institution_name = 'Sample University'
 
     def update(self):
@@ -1141,29 +1142,27 @@
             return
         xmldict = {}
-        student = self.context.getStudent()
+        self.student = self.context.getStudent()
         self.amount = (self.context.amount_auth + self.context.surcharge_1 +
             self.context.surcharge_2 + self.context.surcharge_3)
-        self.txn_ref = xmldict['detail_ref'] = self.context.p_id
-        self.cust_id = student.student_id
-        self.cust_id_desc = self.context.p_item
-        self.pay_item_name = xmldict['institution_item_name'] = self.context.p_category
-        self.cust_name = student.display_fullname
         self.local_date_time = str(self.context.creation_date)
-        self.certificate = getattr(student['studycourse'],'certificate',None)
-        if self.certificate is not None:
-            xmldict['department'] = self.certificate.__parent__.__parent__.code
-            xmldict['faculty'] = self.certificate.__parent__.__parent__.__parent__.code
+        certificate = getattr(self.student['studycourse'],'certificate',None)
+        if certificate is not None:
+            xmldict['department'] = certificate.__parent__.__parent__.code
+            xmldict['faculty'] = certificate.__parent__.__parent__.__parent__.code
         else:
             xmldict['department'] = None
             xmldict['faculty'] = None
-        xmldict['provider_amt'] = self.provider_amt
+        xmldict['detail_ref'] = self.context.p_id
+        xmldict['provider_amt'] = self.context.surcharge_1
         xmldict['provider_acct'] = self.provider_acct
         xmldict['provider_bank_id'] = self.provider_bank_id
         xmldict['provider_item_name'] = self.provider_item_name
-        xmldict['institution_amt'] = self.amount - self.provider_amt
+        xmldict['institution_amt'] = self.amount
         xmldict['institution_acct'] = self.institution_acct
         xmldict['institution_bank_id'] = self.institution_bank_id
+        xmldict['institution_item_name'] = self.context.p_category
+        xmldict['institution_name'] = self.institution_name
         xmltext = """<payment_item_detail>
-<item_details detail_ref="%(detail_ref)s" college="institution" department="%(department)s" faculty="%(faculty)s">
+<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
 <item_detail item_id="1" item_name="%(institution_item_name)s" item_amt="%(institution_amt)d" bank_id="%(institution_bank_id)s" acct_num="%(institution_acct)s" />
 <item_detail item_id="2" item_name="%(provider_item_name)s" item_amt="%(provider_amt)d" bank_id="%(provider_bank_id)s" acct_num="%(provider_acct)s" />
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/goto_interswitch.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/goto_interswitch.pt	(revision 7874)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/goto_interswitch.pt	(revision 7875)
@@ -1,20 +1,79 @@
 <form i18n:domain="waeup.kofa"
-  action="https://testwebpay.interswitchng.com/test_paydirect/webpay/pay.aspx"
-  method="POST">
+  tal:attributes="action view/action" method="POST">
+
+  <p i18n:translate="">
+    These data will be submitted to the CollegePAY payment gateway,
+    please check:
+  </p>
+
+  <table class="form-table" i18n:domain="waeup.kofa">
+    <thead>
+    </thead>
+    <tbody>
+      <tr>
+        <td i18n:translate="" class="fieldname">
+          Total Amount Authorized:</td>
+        <td>
+          <span tal:replace="view/amount">AMOUNT</span>
+        </td>
+      </tr>
+      <tr>
+        <td i18n:translate="" class="fieldname">
+          Transaction Reference:</td>
+        <td>
+          <span tal:replace="view/context/p_id">TXNREF</span>
+        </td>
+      </tr>
+      <tr>
+        <td i18n:translate="" class="fieldname">
+          Customer Id:</td>
+        <td>
+          <span tal:replace="view/student/student_id">CUSTID</span>
+        </td>
+      </tr>
+      <tr>
+        <td i18n:translate="" class="fieldname">
+          Customer Name:</td>
+        <td>
+          <span tal:replace="view/student/display_fullname">CUSTNAME</span>
+        </td>
+      </tr>
+      <tr>
+        <td i18n:translate="" class="fieldname">
+          Payment Item:</td>
+        <td>
+          <span tal:replace="view/context/p_item">PAYMENTITEM</span>
+        </td>
+      </tr>
+      <tr>
+        <td i18n:translate="" class="fieldname">
+          Payment Category:</td>
+        <td>
+          <span tal:replace="view/context/p_category">PAYMENTCATEGORY</span>
+        </td>
+      </tr>
+    </tbody>
+  </table>
 
   <input type="hidden" name="product_id" tal:attributes="value view/product_id" />
-  <input type="hidden" name="amount" tal:attributes="value view/amount" />
   <input type="hidden" name="currency" tal:attributes="value view/currency" />
+  <input type="hidden" name="pay_item_id" tal:attributes="value view/pay_item_id" />
   <input type="hidden" name="site_redirect_url" tal:attributes="value view/site_redirect_url" />
   <input type="hidden" name="site_name" tal:attributes="value view/site_name" />
-  <input type="hidden" name="txn_ref" tal:attributes="value view/txn_ref" />
-  <input type="hidden" name="cust_id" tal:attributes="value view/cust_id" />
-  <input type="hidden" name="cust_name" tal:attributes="value view/cust_name" />
-  <input type="hidden" name="cust_id_desc" tal:attributes="value view/cust_id_desc" />
-  <input type="hidden" name="pay_item_id" tal:attributes="value view/pay_item_id" />
-  <input type="hidden" name="pay_item_name" tal:attributes="value view/pay_item_name" />
   <input type="hidden" name="local_date_time" tal:attributes="value view/local_date_time" />
+  <input type="hidden" name="amount" tal:attributes="value view/amount" />
+
+  <input type="hidden" name="txn_ref" tal:attributes="value view/context/p_id" />
+  <input type="hidden" name="cust_id_desc" tal:attributes="value view/context/p_item" />
+  <input type="hidden" name="pay_item_name" tal:attributes="value view/context/p_category" />
+
+  <input type="hidden" name="cust_id" tal:attributes="value view/student/student_id" />
+  <input type="hidden" name="cust_name" tal:attributes="value view/student/display_fullname" />
+
+
   <input type="hidden" name="payment_params" value="college_split" />
   <span tal:replace="structure view/xml_data"></span>
+
   <input type="submit" class="btn" tal:attributes="value view/submit_button"/>
+
 </form>
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 7874)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 7875)
@@ -214,7 +214,9 @@
             d['p_item'] = student['studycourse'].certificate.code
             d['amount'] = academic_session.clearance_fee
+            d['surcharge_1'] = 0 # no portal fee
         elif category == 'bed_allocation':
             d['p_item'] = self.getAccommodationDetails(student)['bt']
             d['amount'] = academic_session.booking_fee
+            d['surcharge_1'] = 0 # no portal fee
         return d
 